﻿Type=Activity
Version=1.60
FullScreen=True
IncludeTitle=True
@EndOfDesignText@
'Calcul des points
'Femme:7	Homme:15
'Age: 18 à 20: 5 - 21 à 35: 4 - 36 à 50:3 - 51 à 65: 2 - plus de 65 ans : 1
'poids: prendre le chiffre des dizaines
'Taille: <1.6: 1 - >1.6: 2
'Activité: assis:0, debout patrtiellement assis:1, marche: 4, intense: 6
'Stabilisation: +4
'pt bonus: 15 Min:1.5

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	Dim ptAge, ptSexe, ptTaille, ptActivite, ptPoids As Int
	Dim sexe As String
	Dim Date As DateDialog
	Dim DataUser As List
	
	'Déclaration des éléments graphiques
	'-----------------------------------
	Dim bpValidation As Button
	Dim edtxtNom As EditText
	Dim edTxtObjectif As EditText
	Dim edTxtPoids As EditText
	Dim edTxtTaille As EditText
	Dim rdBpFemme As RadioButton
	Dim rdBpHomme As RadioButton
	Dim spActivite As Spinner
	Dim lblNaissance As Label
End Sub

Sub Activity_Create(FirstTime As Boolean)
	DateTime.DateFormat = "dd/MM/yyyy"
	'Chargement de la page
	'----------------------
	Activity.LoadLayout("formUser")
	
	' création liste des acitivités
	'--------------------------------
	spActivite.Clear
	spActivite.Add("Principalement assis")
	spActivite.Add("Debout, partiellement assis")
	spActivite.Add("Marche")
	spActivite.Add("Intense")
	
	'Création menu
	'---------------
	Activity.AddMenuItem("Supprimer l'utilisateur", "suppression")
End Sub

Sub Activity_Resume
	'Est ce les données utilisateur sont déjà présentes ?
	Dim curseur As Cursor
	curseur = Main.SQL1.ExecQuery("SELECT * FROM Utilisateur")
	If curseur.RowCount > 0 Then
		curseur.Position = 0
		edtxtNom.Text = curseur.GetString("Nom")
		edTxtObjectif.Text = curseur.GetInt("Objectif")
		edTxtPoids.Text = curseur.GetDouble("Poids de départ")
		edTxtTaille.Text = curseur.GetInt("Taille")
		lblNaissance.Text = curseur.GetString("Date de naissance")
		If curseur.GetString("Sexe") = "Homme" Then
			rdBpHomme.Checked = True
			rdBpFemme.Checked = False
			ptSexe = 15
		Else
			rdBpHomme.Checked = False
			rdBpFemme.Checked = True
			ptSexe = 7
		End If
		Select curseur.GetInt("Activité")
			Case 0
				spActivite.SelectedIndex = 0
			Case 1
				spActivite.SelectedIndex = 1
			Case 4
				spActivite.SelectedIndex = 2
			Case 6
				spActivite.SelectedIndex = 3
		End Select
		edtxtNom.Enabled = False
		edTxtObjectif.Enabled = False
		edTxtPoids.Enabled = False
		edTxtTaille.Enabled = False
		lblNaissance.Enabled = False
		spActivite.Enabled = False
		bpValidation.Enabled = False
		rdBpHomme.Enabled = False
		rdBpFemme.Enabled = False
		'sinon, on efface tous les champs
	Else
		edtxtNom.Enabled = True
		edTxtObjectif.Enabled = True
		edTxtPoids.Enabled = True
		edTxtTaille.Enabled = True
		lblNaissance.Enabled = True
		spActivite.Enabled = True
		bpValidation.Enabled = True
		rdBpHomme.Enabled = True
		rdBpFemme.Enabled = True
		edtxtNom.Text = ""
		edTxtObjectif.Text = ""
		edTxtPoids.Text = ""
		edTxtTaille.Text = ""
		lblNaissance.Text = ""
		rdBpHomme.Checked = True
		sexe = "Homme"
		rdBpFemme.Checked = False
		ptSexe = 15
		spActivite.SelectedIndex = 0
		ptActivite = 0
	End If
	curseur.Close
End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub spActivite_ItemClick (Position As Int, Value As Object)
	'assis:0, debout patrtiellement assis:1, marche: 4, intense: 6
	Select Position
		Case 0
		ptActivite = 0
		Case 1
		ptActivite = 1
		Case 2
		ptActivite = 4
		Case 3
		ptActivite = 6
	End Select
End Sub

Sub rdBpHomme_CheckedChange(Checked As Boolean)
	sexe = "Homme"
	ptSexe = 15
End Sub

Sub rdBpFemme_CheckedChange(Checked As Boolean)
	sexe = "Femme"
	ptSexe = 7
End Sub

Sub bpValidation_Click
	' vérif des valeurs saisies
	'---------------------------
	If edtxtNom.Text="" OR edTxtTaille.Text="" OR edTxtObjectif.Text="" OR edTxtPoids.Text="" OR lblNaissance.Text="" Then
		Msgbox("Remplir tous les champs", "Erreur")
		Return
	End If
	If DateTime.DateParse(lblNaissance.Text) > DateTime.Now Then
		Msgbox("Vérifier les dates", "Erreur")
		Return
	End If
	
	' calcul de l'age
	'-----------------
	Dim age, anneeNaissance, moisNaissance, jourNaissance As Int
	anneeNaissance = DateTime.GetYear(DateTime.DateParse(lblNaissance.Text))
	moisNaissance = DateTime.GetMonth(DateTime.DateParse(lblNaissance.Text))
	jourNaissance = DateTime.GetDayOfMonth(DateTime.DateParse(lblNaissance.Text))
	age = DateTime.GetYear(DateTime.Add(DateTime.Now, -anneeNaissance, -moisNaissance, -jourNaissance))
	If age <= 20 Then ptAge = 5
	If age > 20 AND age <=35 Then ptAge = 4
	If age > 35 AND age <=50 Then ptAge = 3
	If age > 50 AND age <=65 Then ptAge = 2
	If age > 65 Then ptAge = 1
	
	' calcul de points
	'------------------
	Dim points As Int
	ptPoids = Floor(edTxtPoids.Text / 10)
	If edTxtTaille.Text < 160 Then
		ptTaille = 1
	Else
		ptTaille = 2
	End If
	points = ptSexe + ptAge + ptPoids + ptTaille + ptActivite
	Msgbox("Nombre de points quotidiens: " & points, "Points")
	
	'Enregistrement utilisateur
	'----------------------------
	query = "INSERT INTO Utilisateur VALUES ('"& edtxtNom.Text &"', '"& lblNaissance.Text &"', '"& sexe &"', "& _
		edTxtTaille.Text &", "& edTxtPoids.Text &", "& spActivite.SelectedIndex &", "& edTxtObjectif.Text &", "& points &")"
	Main.SQL1.ExecNonQuery(query)
	
	'Création de l'enregistrement dans la table agenda
	'----------------------------------------------------
	Main.SQL1.ExecNonQuery("INSERT INTO Agenda VALUES (NULL, '"& Main.dateDuJour &"', NULL, NULL, NULL, NULL, NULL, "& edTxtPoids.Text &", 'Fin de semaine'  )")
	
	'Mise à jour données utilisateur
	
	
	Activity.Finish
End Sub

Sub lblNaissance_Click
	' affiche une boite de dialogue permettant de choisir une date
	date.DateTicks = DateTime.Now
	If date.Show("", "Date de naissance", "OK", "", "Aujourd'hui", Null)=-1 Then		' test du bouton appuyé
		lblNaissance.Text=DateTime.Date(date.DateTicks)						' si OK on change la date
	Else If date.Response=-2 Then											' sinon si 'aujourd'hui' on change
		lblNaissance.Text=DateTime.Date(DateTime.Now)						' à la date du jour
	End If
End Sub

Sub suppression_Click
	If File.Exists(File.DirDefaultExternal, "Utilisateur") = True Then File.Delete(File.DirDefaultExternal, "Utilisateur")
	edtxtNom.Enabled = True
	edTxtObjectif.Enabled = True
	edTxtPoids.Enabled = True
	edTxtTaille.Enabled = True
	lblNaissance.Enabled = True
	spActivite.Enabled = True
	bpValidation.Enabled = True
	rdBpHomme.Enabled = True
	rdBpFemme.Enabled = True
	edtxtNom.Text = ""
	edTxtObjectif.Text = ""
	edTxtPoids.Text = ""
	edTxtTaille.Text = ""
	lblNaissance.Text = ""
	rdBpHomme.Checked = True
	rdBpFemme.Checked = False
	ptSexe = 15
	spActivite.SelectedIndex = 0
	ptActivite = 0
End Sub